Bug 1441221 - review request: mistral-lib - data types, exceptions, functions and utilities common to all mistral projects
Summary: review request: mistral-lib - data types, exceptions, functions and utilitie...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL: https://github.com/d0ugal/mistral-lib...
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-04-11 12:48 UTC by Dougal Matthews
Modified: 2017-04-25 16:30 UTC (History)
1 user (show)

Fixed In Version: python-mistral-lib-0.1.0-0.20170425135944.2533ecb.el7.centos
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-25 16:30:18 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Dougal Matthews 2017-04-11 12:48:56 UTC
Mistral will soon depend upstream on a new Python project called mistral-lib. This is used by developers to extend and plugin to Mistral.

We need to create an rpm package for this so that the Mistral service will still work.

Initial work: https://github.com/d0ugal/mistral-lib-distgit

Comment 1 Alfredo Moralejo 2017-04-17 09:55:14 UTC
Output of licensecheck:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* Apache
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./mistral_lib/__init__.py: *No copyright* Apache (v2.0)
./mistral_lib/exceptions.py: Apache (v2.0)
./mistral_lib/serialization.py: Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/creating_custom_actions.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./doc/source/usage.rst: *No copyright* UNKNOWN
./mistral_lib/actions/__init__.py: Apache (v2.0)
./mistral_lib/actions/base.py: Apache (v2.0)
./mistral_lib/actions/types.py: Apache (v2.0)
./mistral_lib/tests/base.py: Apache (v2.0)
./mistral_lib/tests/test_serialization.py: Apache (v2.0)
./mistral_lib/tests/test_utils.py: Apache (v2.0)
./mistral_lib/utils/__init__.py: Apache (v2.0)
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/liberty.rst: *No copyright* UNKNOWN
./releasenotes/source/mitaka.rst: *No copyright* UNKNOWN
./releasenotes/source/newton.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./mistral_lib/tests/actions/test_base.py: Apache (v2.0)


License is a valid Apache Software License v2.0

Comment 4 Alfredo Moralejo 2017-04-20 14:23:56 UTC
formal fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 29 files have unknown
     license. Detailed output of licensecheck in /tmp/borrar3/python-
     mistral-lib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -mistral-lib , python2-mistral-lib-tests , python-mistral-lib-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.1.1.dev5
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-mistral-lib-0.1.1-0.20170420133902.121ba2f.el7.centos.noarch.rpm
          python2-mistral-lib-tests-0.1.1-0.20170420133902.121ba2f.el7.centos.noarch.rpm
          python-mistral-lib-doc-0.1.1-0.20170420133902.121ba2f.el7.centos.noarch.rpm
          python-mistral-lib-0.1.1-0.20170420133902.121ba2f.el7.centos.src.rpm
python2-mistral-lib.noarch: E: no-changelogname-tag
python2-mistral-lib.noarch: W: no-documentation
python2-mistral-lib-tests.noarch: E: no-changelogname-tag
python2-mistral-lib-tests.noarch: W: no-documentation
python-mistral-lib-doc.noarch: E: no-changelogname-tag
python-mistral-lib.src: E: no-changelogname-tag
python-mistral-lib.src: W: invalid-url Source0: mistral-lib-0.1.1.dev5-0.20170420133902.121ba2f.tar.gz
4 packages and 0 specfiles checked; 4 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python-mistral-lib-doc.noarch: E: no-changelogname-tag
python2-mistral-lib-tests.noarch: E: no-changelogname-tag
python2-mistral-lib-tests.noarch: W: no-documentation
python2-mistral-lib.noarch: E: no-changelogname-tag
python2-mistral-lib.noarch: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 2 warnings.



Requires
--------
python-mistral-lib-doc (rpmlib, GLIBC filtered):

python2-mistral-lib-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-oslotest
    python-subunit
    python-testrepository
    python2-mistral-lib

python2-mistral-lib (rpmlib, GLIBC filtered):
    python(abi)
    python-oslo-serialization
    python-pbr



Provides
--------
python-mistral-lib-doc:
    python-mistral-lib-doc

python2-mistral-lib-tests:
    python2-mistral-lib-tests

python2-mistral-lib:
    python-mistral-lib
    python2-mistral-lib



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1441221
Buildroot used: dlrn-centos-ocata-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments:

- Spec is prepared for DLRN, so it doesn't have changelog.
- %define upstream_version is automatically added by DLRN


Package is Approved


Note You need to log in before you can comment on or make changes to this bug.